// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from micro_ros_diagnostic_msgs:msg/MicroROSDiagnosticStatus.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "micro_ros_diagnostic_msgs/msg/micro_ros_diagnostic_status.h"


#ifndef MICRO_ROS_DIAGNOSTIC_MSGS__MSG__DETAIL__MICRO_ROS_DIAGNOSTIC_STATUS__STRUCT_H_
#define MICRO_ROS_DIAGNOSTIC_MSGS__MSG__DETAIL__MICRO_ROS_DIAGNOSTIC_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'OK'.
/**
  * Possible levels of operations.
 */
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__OK = 0
};

/// Constant 'WARN'.
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__WARN = 1
};

/// Constant 'ERROR'.
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__ERROR = 2
};

/// Constant 'STALE'.
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__STALE = 3
};

/// Constant 'VALUE_BOOL'.
/**
  * Possible value types
 */
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__VALUE_BOOL = 1
};

/// Constant 'VALUE_INT'.
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__VALUE_INT = 2
};

/// Constant 'VALUE_DOUBLE'.
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__VALUE_DOUBLE = 3
};

/// Constant 'VALUE_LOOKUP'.
enum
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__VALUE_LOOKUP = 10
};

/// Struct defined in msg/MicroROSDiagnosticStatus in the package micro_ros_diagnostic_msgs.
/**
  * This message holds the status of an individual component of the robot.
  *
  * This message specification is inspired by
  * common_interfaces/diagnostic_msgs/msg/DiagnosticStatus.msg
  * with the difference that it comprises just one key and value
  * instead of an array of KeyValue messages as well as avoiding
  * any strings.
 */
typedef struct micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus
{
  /// Level of operation enumerated above.
  uint8_t level;
  /// A description of the test/component reporting.
  uint16_t updater_id;
  /// A hardware unique string.
  uint16_t hardware_id;
  /// What key, value is transmitted.
  uint16_t key;
  uint8_t value_type;
  bool bool_value;
  int32_t int_value;
  float double_value;
  uint16_t value_id;
} micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus;

// Struct for a sequence of micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus.
typedef struct micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__Sequence
{
  micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} micro_ros_diagnostic_msgs__msg__MicroROSDiagnosticStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // MICRO_ROS_DIAGNOSTIC_MSGS__MSG__DETAIL__MICRO_ROS_DIAGNOSTIC_STATUS__STRUCT_H_
